<%= form_with(model: event, local: true, class: 'ui form') do |form| %>
  <% if event.errors.any? %>
    <div class="ui message">
      <h2 class="ui header">
        <%= pluralize(event.errors.count, 'error') %> prohibited this
        event from being saved:
      </h2>

      <ul class="list">
        <% event.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="ui field">
    <%= form.label :name %>
    <%= form.text_field :name, class: 'ui labeled input' %>
  </div>

  <div class="ui field">
    <%= form.label :occurs_on %>

    <div class="ui calendar">
      <div class="ui input left icon">
        <i class="calendar icon"></i>
        <%= form.text_field :occurs_on %>
      </div>
    </div>
  </div>

  <div class="ui field">
    <%= form.label :restaurant_id %>
    <%=
      form.select(
        :restaurant_id,
        options_for_select(Restaurant.order(:name).pluck(:name, :id), form.object.restaurant_id),
        { include_blank: true },
        class: 'ui fluid search dropdown'
      )
    %>
  </div>

  <div class="actions">
    <%= form.submit class: 'ui primary button' %>
  </div>
<% end %>
